#!/bin/bash

# this little script backs up all the config files that matter

dotfiles=~/utils/dotfiles
MEGA="MEGA/Private"

params="auP"
if [ "$1" == "-d"  ]; then
    params="aunP" # rsync -n for dry run
fi

rsync -$params /etc/X11/Xresources $dotfiles/etc/X11

rsync -$params /etc/default/tlp $dotfiles/etc/default
rsync -$params /etc/default/tlp.rpmnew $dotfiles/etc/default

rsync -$params ~/alltheconfigs.sh $dotfiles
rsync -$params ~/mgp $dotfiles

rsync -$params ~/.vim/vimrc $dotfiles/vimrc
rsync -$params ~/.gvimrc $dotfiles/gvimrc
rsync -$params ~/.zshrc $dotfiles/zsh/zshrc

rsync -$params ~/.config/compton.conf $dotfiles/config


#rsync -$params ~/$MEGA/backups/authenticator.sh $dotfiles/backups
rsync -$params ~/$MEGA/backups/createarchive.sh $dotfiles/backups

rsync -$params ~/$MEGA/fedora-backup/fedora-setup/fedora-setup.sh $dotfiles/setup-env
rsync -$params ~/$MEGA/fedora-backup/fedora-setup/deploy-dotfiles.sh $dotfiles/setup-env
rsync -$params ~/$MEGA/fedora-backup/fedora-setup/EASetup.sh $dotfiles/setup-env


#rsync -$params ~/.config/openbox/autostart $dotfiles/config/openbox
rsync -$params ~/.config/openbox/rc.xml $dotfiles/config/openbox
rsync -$params ~/.config/openbox/menu.xml $dotfiles/config/openbox
#rsync -$params ~/.config/openbox/helper.sh $dotfiles/config/openbox
#rsync -$params ~/.config/openbox/mic.sh $dotfiles/config/openbox
rsync -$params ~/.config/openbox/VolumeNotify.sh $dotfiles/config/openbox
rsync -$params ~/.config/openbox/locker.sh $dotfiles/config/openbox
rsync -$params ~/.config/openbox/locker-suspend.sh $dotfiles/config/openbox
rsync -$params ~/.config/openbox/desktop-pause.sh $dotfiles/config/openbox

rsync -$params ~/.config/tint2/ $dotfiles/config/tint2

rsync -$params ~/.conky/conkyrc $dotfiles/conky
rsync -$params ~/.conky/conky.lua $dotfiles/conky

rsync -$params ~/.oh-my-zsh/themes/myowntheme* $dotfiles/zsh/oh-my-zsh/themes
rsync -$params ~/.oh-my-zsh/custom/themes/spaceship-prompt/spaceship.zsh $dotfiles/zsh/oh-my-zsh/themes/spaceship.zsh-theme

rsync -$params ~/.local/share/applications/metasploit-framework.desktop $dotfiles/desktopfiles
rsync -$params ~/.local/share/applications/flashtool.desktop $dotfiles/desktopfiles
rsync -$params ~/.local/share/applications/megasync.desktop $dotfiles/desktopfiles
